package com.kym.service.admin;

import com.alibaba.fastjson2.JSONObject;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.github.yulichang.base.MPJBaseService;
import com.kym.entity.admin.Station;
import com.kym.entity.admin.vo.ConnectorVo;
import com.kym.entity.admin.vo.StationVo;
import com.kym.entity.enplus.EnStationStatsInfo;
import com.kym.entity.enplus.EnStationStatusInfo;
import org.springframework.transaction.annotation.Transactional;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 * 充电站信息 服务类
 * </p>
 *
 * @author skyline
 * @since 2023-08-12
 */
public interface StationService extends MPJBaseService<Station> {

    public List<StationVo> queryStationInfo(int pageNum, int pageSize) throws JsonProcessingException;

    public List<EnStationStatusInfo> stationStatus(String[] ids);

    public EnStationStatsInfo stationStats(String stationId, String startTime, String endTime);

    public void pullEnStationInfos(String stationId);

    @Transactional(rollbackFor = Exception.class)

    void modifyStation(Station station);

    void addStation(List<ConnectorVo> connectorVos);

    void importData(JSONObject data);
}
